Daniel Kay (7) [Avatar] Offline
#1
Hi,
i would add a note in chapter 2.1, that gulp needs to be installed globally, so that gulp
can be found on the path.

Best regards,
Daniel
jeremy.wilken (186) [Avatar] Offline
#2
The CLI runs gulp internally (it should without the need for a global gulp install, but maybe that has changed over time). Did you get an error or did you try to run the gulp steps directly without using the Ionic CLI?
Daniel Kay (7) [Avatar] Offline
#3
Hi Jeremy,

jeremy.wilken wrote:The CLI runs gulp internally (it should without the need for a global gulp install, but maybe that has changed over time). Did you get an error or did you try to run the gulp steps directly without using the Ionic CLI?


The "Angular 2 in Action MEAP V03" eBook does not contain the words "ionic" (caseInsensitive search) and "CLI" (caseSensitive search). Also in Chapter 2.1 there is no sign to execute the shown steps on some special CLI. So I ran the steps on my default shell. Am I missing something?

Best regards,
Daniel
jeremy.wilken (186) [Avatar] Offline
#4
Oh my, I'm sorry. I was thinking about my other book Ionic in Action and got confused. Ignore that comment!

Yes, gulp should be global. This will actually be removed in the upcoming versions to build without Gulp so it won't matter then. Thanks for bringing it up and we'll get the chapter updated with new stuff soon.
Daniel Kay (7) [Avatar] Offline
#5
I am happy to hear that you are dropping gulp. In favor of npm?

Best regards,
Daniel Kay
jeremy.wilken (186) [Avatar] Offline
#6
Eventually it will use the angular-cli that is being developed. Until that is ready, we'll use just npm scripts to manage running code examples. You can see it already here https://github.com/angular-in-action/chapter2/tree/beta0 for when we get the chapter2 example updated to the latest.

Jeremy
477578 (9) [Avatar] Offline
#7
Mac. Go to nodejs.org, click 'install', and run through the install process.
Ubuntu. Run the following on your command line to install the source for nodejs curl -sL https://deb.nodesource.com/setup | sudo -E bash -
Windows. Go ahead the download the Windows binary and make sure to restart your computer.
GCLUB ??????
goldenslot
jeremy.wilken (186) [Avatar] Offline
#8
If you are reading a version that talks about gulp, you have a really old version and you should get the latest MEAP. Cheers.
Jeremy
502674 (4) [Avatar] Offline
#9
that gulp needs to be installed globally, so that gulp




??????????, jav
525761 (4) [Avatar] Offline
#10
Interesting